# nxos_bfd_interfaces – Manages BFD attributes of nxos interfaces

New in version 2.9.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Manages attributes of Bidirectional Forwarding Detection (BFD) on the interface.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
config list / elements=dictionary |  | The provided configuration

bfd
string

Choices:
- enable
- disable

Enable/Disable Bidirectional Forwarding Detection (BFD) on the interface.

echo
string

Choices:
- enable
- disable

Enable/Disable BFD Echo functionality on the interface.

| name string |  | The name of the interface.

state
string

Choices:
- merged ←
- replaced
- overridden
- deleted

The state of the configuration after module completion

## Examples

    # Using deleted

    - name: Configure interfaces
      nxos_bfd_interfaces:
        state: deleted

    # Using merged

    - name: Configure interfaces
      nxos_bfd_interfaces:
        config:
          - name: Ethernet1/1
            bfd: enable
            echo: enable
          - name: Ethernet1/2
            bfd: disable
            echo: disable
        state: merged

    # Using overridden

    - name: Configure interfaces
      nxos_bfd_interfaces:
        config:
          - name: Ethernet1/1
            bfd: enable
            echo: enable
          - name: Ethernet1/2
            bfd: disable
            echo: disable
        state: overridden

    # Using replaced

    - name: Configure interfaces
      nxos_bfd_interfaces:
        config:
          - name: Ethernet1/1
            bfd: enable
            echo: enable
          - name: Ethernet1/2
            bfd: disable
            echo: disable
        state: replaced

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
after list | when changed | The configuration as structured data after module completion. Sample: The configuration returned will always be in the same format of the parameters above.
before list | always | The configuration as structured data prior to module invocation. Sample: The configuration returned will always be in the same format of the parameters above.
commands list | always | The set of commands pushed to the remote device. Sample: ['interface Ethernet1/1', 'no bfd', 'no bfd echo']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Chris Van Heuveln (@chrisvanheuveln)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.